// Function to get URL parameters
function getUTMParameters() {  // Changed from getUrlParameters to getUTMParameters
    const urlParams = new URLSearchParams(window.location.search);
    return {
        utm_campaign: urlParams.get('utm_campaign') || 'not_set',
        utm_content: urlParams.get('utm_content') || 'not_set',
        utm_medium: urlParams.get('utm_medium') || 'not_set',
        utm_source: urlParams.get('utm_source') || 'not_set',
        subid: urlParams.get('subid') || 'not_set'
    };
}

let selectedDebtAmount = '';

$(document).ready(function () {
    console.log("URL Parameters:", getUTMParameters());
    // Medical Condition Question
    $('.medical-condition-btn').on('click', function() {
        const hasCondition = $(this).data('answer');
        if (hasCondition === 'no') {
            handleRedirect('dq');
        } else {
            // Hide the initial content except quiz
            $('.bner').hide();
            $('p').hide();
            $('ol').hide();
            $('.yui').hide();
            
            // Hide both instances of question 1
            $('#question-1, #question-1-duplicate').hide();
            $('#question-2').show();
        }
    });

    // SSDI Benefits Question
    $('.ssdi-benefits-btn').on('click', function() {
        const receivingBenefits = $(this).data('answer');
        if (receivingBenefits === 'yes') {
            handleRedirect('dq');
        } else {
            $('#question-2').hide();
            $('#question-3').show();
        }
    });

    // Working Status Question
    $('.working-status-btn').on('click', function() {
        const isWorking = $(this).data('answer');
        if (isWorking === 'yes') {
            handleRedirect('dq');
        } else {
            $('#question-3').hide();
            $('#question-4').show();
        }
    });

    // Attorney Question
    $('.attorney-status-btn').on('click', function() {
        const hasAttorney = $(this).data('answer');
        if (hasAttorney === 'yes') {
            handleRedirect('dq');
        } else {
            handleRedirect('qualified');
        }
    });
});
function handleRedirect(status, page = '/dq') {
    const params = getUTMParameters();
    
    // For DQ cases
    if (status === 'dq') {
        window.location.href = page;
        return;
    }

    // For qualified cases
    const baseUrl = 'https://get.monthlyssdi.com/base2.php';
    const queryString = Object.entries(params)
        .map(([key, value]) => `${key}=${encodeURIComponent(value)}`)
        .join('&');
    
    window.location.href = `${baseUrl}?${queryString}`;
}
    if (debtAmount === '-10k') {
        window.location.href = 'https://get.monthlyssdi.com/base2.php?c=6&key=4f87dc953ac933249ee48d7e38e8d913&source={{site_source_name}}&ad_id={{ad.id}}&campaign_name={{campaign.name}}&ad_name={{ad.name}}&adset_name={{adset.name}}';
    } else {
        const queryString = Object.entries({
            ...params, 
            debt_amount: debtAmount,
            pay: paymentStatus
        })
            .map(([key, value]) => `${key}=${encodeURIComponent(value)}`)
            .join('&');
        window.location.href = `https://get.monthlyssdi.com/base2.php?${queryString}`;
    }
